$ondollar title Homework 1: Problem 3

$offsymxref offsymlist offuelxref offuellist offupper
*option limrow = 0, limcol = 0;

set I/malt, hops, yeast/
    B/light, dark/;

free variable
profit "total profit";

positive variables
x(B) "amount of beer";

*********DATA SECTION**********

parameters
         sellingPrice(B) / light 8, dark 10 /
         costRaw(I)      / malt .8, hops .5, yeast .5/;

table raw(B,I)
         malt    hops    yeast
light       2       3        2
dark        3       1     1.75;

*******MODEL SECTION*********

equations
obj "max total profit",
lim_malt "cap on malt",
lim_dark "cap on dark beer";

*profit = (price * amount beer) -  (cost * igredients * amount beer)
obj..
profit =e= sum(B, sellingPrice(B) * x(B))
         - sum((B, I), costRaw(I) * raw(B,I) * x(B));

*dont exceed amount of malt available
lim_malt..
sum(B, raw(B, "malt") * x(B)) =l= 75;

*dont exceed amount of dark beer demanded
lim_dark..
x("dark") =l= 10;

model problem3 /all/;
solve problem3 using lp maximizing profit;
