$title Homework 10 Problem 2
$offuellist offuelxref offsymlist offsymxref
option limrow=0, limcol=0, solprint=off;
option mip = cplex;

$offlisting
$Ontext

2. Liebman, Lasdon, Schrange and Waren describe the following problem in
 designing a steel tank to hold ammonia. The decision variables are
        T        the temperature inside the tank
        I        the thickness of the insulation
 The pressure inside the tank is a function of the temperature,
        P = exp(-3950/(T + 460) + 11.86)
 It is desired to minimize the cost of the tank, which has three components:
 insulation cost, which depends on the thickness; the cost of the steel vessel,
 which depends on the pressure; and the cost of a recondensation process for
 cooling the ammonia, which depends on both temperature and insulation thickness.
 A combination of engineering and economic considerations has yielded the
 following formulas:
        CI = 400 I0.9
        CV = 1000 + 22(P - 14.7)1.2
        CR = 144(80 - T)/I
 a. Formulate this problem in GAMS as a two-variable problem, and alternatively
   as a six-variable problem in which four of the variables can be substituted
   out. Which formulation would you prefer to work with?
 b. Using your preferred formulation, determine the parameters of the least-cost
   tank.
 c. Increasing the factor 144 in CR causes a proportional increase in the
   recondensation cost. Try several larger values, and describe in general terms
   how the total cost increases as a function of the increase in this factor.
   (Include your conclusions as comments in the code.)

$Offtext
$onlisting